<?php
/*
 * 元宝支付 https://www.18pay.net
 * Date: 2020/12/10
 * Time: 15:38
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
 * 该代码仅供学习和研究接口使用，只是提供一个参考，最终解释权归美奇软件开发工作室所有。
 * 严禁一切钓鱼、色情、赌博、私彩及违反国家法律法规等使用。
 * 注意：
 * UTF-8编码不要在记事本下编辑，否则会出现一些奇葩的问题，正确方法应在开发工具里打开编辑
 */
error_reporting(E_ALL ^ E_DEPRECATED);
header("Content-type: text/html; charset=utf-8");
/////////////////需要修改的参数/////////////////
//商户编号
$appid = '填写商户编号';
//商户密钥
$appkey = '填写商户密钥';
//算法密钥
$deskey='填写算法密钥'; 
//分区充值连接（修改为自己的分区链接，元宝支付平台上面只需要创建一个分区即可）
$payurl = '填写分区充值连接';

//数据库配置
define('HOST','127.0.0.1');
define('PORT',3306);
define('USER','root');
define('PASS','123456');

//清渊传奇
//$pfid = '10001';
//冰雪传奇
$pfid = '10003';
//pfid因版本而异（根据GM后台里的充值配置修改）

//================游戏分区对应的数据库===================//
$db = array(
    "1"=>"actor_c1001", //一区角色所在数据库
	"2"=>"actor_c1002", //二区
);

//======================物品列表=========================//
 $goods = array(
    "10"=>"com.game191.icelegend10", 
	"30"=>"com.game191.icelegend30", 
	"50"=>"com.game191.icelegend50", 
	"100"=>"com.game191.icelegend100", 
	"300"=>"com.game191.icelegend300", 
	"500"=>"com.game191.icelegend500", 
	"1000"=>"com.game191.icelegend1000", 
	"3000"=>"com.game191.icelegend3000", 
);
?>